Subject: Re: bug#15804: Error: partition length of 7518568448 sectors exceeds the loop-partition-table-imposed maximum of 4294967295

From: Russell Jones <[email-masked]>
Date: Sat, 09 Nov 2013 17:16:01 -0600

On 11/9/2013 1:58 PM, Chris Murphy wrote:
> It's a valid question. Although I'm curious about the use case. The 
> only time I've partitioned an LV rather than directly formatting it, 
> is when using the LV as a backing store for a qemu/kvm VM via 
> virsh/virt-manager. However in that case, to access the partition map 
> and activate the individual partitions before mounting them, I used 
> kpartx -a. Chris Murphy 

Thanks Chris,

I'm not actually partitioning a logical volume ( can you even do that? 
:-) ), I'm building a logical volume from two separate physical volumes 
which are partitions on a disk. Example: /dev/sda4, /dev/sdb4 are PV's, 
part of 1 VG, and then a single LV in the VG.

When I do a parted -l on the system is when it gives that error.